List Pages
/unified/knowledge-base/pages
Partial response — use the "get" endpoint for the full object.
Query Parameters
Refer Specifying query parameters in Truto APIs
The space the page belongs to
6 supported2 required
The unique identifier for the space
The tags associated with the page
5 supported
The user who created the page
15 supported
The emails of the user
3 properties
The email of the user
Whether the email is the primary email of the user
The type of the email
homeotherwork
The unique identifier for the user
The name of the user
The status of the page
allarchivedclosedcompletedeleteddraftin progressopenplannedpublishedunder review
15 supported
openunder reviewplannedin progresscompletecloseddraftpublishedall6 supported2 notes
The search term to filter the posts
The search term to filter the articles
The collection the page belongs to
6 supported6 required3 notes
The collection to fetch the pages for
The collection to filter the pages.
The unique identifier for the collection
categorysectiontopic
A human readable identifier for the space. Usually is a shortened version on the name.
2 supported
The title of the page
18 supported
The unique identifiers for the pages
2 supported
The unique identifier for the parent page
2 supported
The date and time the page was created
17 supported
The date and time the page was last updated
15 supported
The name of the domain.
1 supported1 required
The type of the page
articlesblog-postscommunity-postsdatabaselanding-pagespagesite-pages
13 supported2 required
landing-pagessite-pagesblog-postsarticlescommunity-postspagedatabaseShow Truto-specific parameters
The ID of the integrated account to use for the request.
62f44730-dd91-461e-bd6a-aedd9e0ad79dThe format of the response.
unifiedreturns the response with unified mappings applied.rawreturns the unprocessed, raw response from the remote API.normalizedapplies the unified mappings and returns the data in a normalized format.streamreturns the response as a stream, which is ideal for transmitting large datasets, files, or binary data. Using streaming mode helps to efficiently handle large payloads or real-time data flows without requiring the entire data to be buffered in memory.
Defaults to unified.
unifiedunifiedrawnormalizedstream
By default the result attribute is an array of objects. This parameter allows you to specify a field in each result objects to use as key, which transforms the result array into an object with the array items keyed by the field. This is useful for when you want to use the result as a lookup table.
idIgnores the limit query parameter.
Excludes the remote_data attribute from the response.
Array of fields to exclude from the response.
truto_exclude_fields[]=id&truto_exclude_fields[]=nameQuery parameters to pass to the underlying API without any transformations. Refer this guide to see how to structure the query parameters.
remote_query[foo]=barResponse Body
The cursor to use for the next page of results. Pass this value as next_cursor in the query parameter in the next request to get the next page of results.
List of Pages
The unique identifier for the page
18 supported
The collection the page belongs to
3 supported
1 property
The unique identifier for the collection
The date and time the page was created
17 supported
The user who created the page
15 supported
3 properties
The emails of the user
3 properties
The email of the user
Whether the email is the primary email of the user
The type of the email
workhomeother
The unique identifier for the user
The name of the user
The description of the page
9 supported
The user who last edited the page
10 supported
3 properties
The emails of the user
3 properties
The email of the user
Whether the email is the primary email of the user
The type of the email
workhomeother
The unique identifier for the user
The name of the user
The type of the page
landing-pagessite-pagesblog-postspagedatabase
13 supported
The parent of the page
6 supported
2 properties
The unique identifier for the parent page
The type of the parent
The date and time the page was published
5 supported
Raw data returned from the remote API call.
The space the page belongs to
6 supported
1 property
The unique identifier for the space
The status of the page
draftpublishedarchiveddeleted
15 supported
The tags associated with the page
5 supported
The title of the page
18 supported
The date and time the page was last updated
15 supported
The urls of the page
15 supported
2 properties
The type of the url
vieweditpublic_view
The url of the page
The visibility of the page
privatepublic
2 supported
curl -X GET 'https://api.truto.one/unified/knowledge-base/pages?integrated_account_id=<integrated_account_id>' \
-H 'Authorization: Bearer <your_api_token>' \
-H 'Content-Type: application/json'const integratedAccountId = '<integrated_account_id>';
const response = await fetch(`https://api.truto.one/unified/knowledge-base/pages?integrated_account_id=${integratedAccountId}`, {
method: 'GET',
headers: {
'Authorization': 'Bearer <your_api_token>',
'Content-Type': 'application/json',
},
});
const data = await response.json();
console.log(data);import requests
url = "https://api.truto.one/unified/knowledge-base/pages"
headers = {
"Authorization": "Bearer <your_api_token>",
"Content-Type": "application/json",
}
params = {
"integrated_account_id": "<integrated_account_id>"
}
response = requests.get(url, headers=headers, params=params)
print(response.json())import Truto from '@truto/truto-ts-sdk';
const truto = new Truto({
token: '<your_api_token>',
});
const result = await truto.unifiedApi.list(
'knowledge-base',
'pages',
{ integrated_account_id: '<integrated_account_id>' }
);
console.log(result);import asyncio
from truto_python_sdk import TrutoApi
truto_api = TrutoApi(token="<your_api_token>")
async def main():
async for item in truto_api.unified_api.list(
"knowledge-base",
"pages",
{"integrated_account_id": "<integrated_account_id>"}
):
print(item)
asyncio.run(main())